aboutsummaryrefslogtreecommitdiff
path: root/system/xjobs/xjobs.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/xjobs/xjobs.SlackBuild')
-rw-r--r--system/xjobs/xjobs.SlackBuild11
1 files changed, 5 insertions, 6 deletions
diff --git a/system/xjobs/xjobs.SlackBuild b/system/xjobs/xjobs.SlackBuild
index 6f9a025964fd3..791c001b277b5 100644
--- a/system/xjobs/xjobs.SlackBuild
+++ b/system/xjobs/xjobs.SlackBuild
@@ -38,9 +38,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -58,6 +55,8 @@ elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -67,9 +66,9 @@ cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
+ -exec chmod 755 {} + -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} +
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -85,7 +84,7 @@ install -d $PKG/usr/man/man1
gzip -9c xjobs.1 > $PKG/usr/man/man1/xjobs.1.gz
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
-cp -a COPYING ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog README* $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
cat $CWD/slack-desc > $PKG/install/slack-desc